commit:     dc008233d1ae328cde2c60af5244918b05ae911e
Author:     Karl-Johan Karlsson <creideiki <AT> lysator <DOT> liu <DOT> se>
AuthorDate: Fri May 30 09:31:55 2025 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Jun  8 05:06:44 2025 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=dc008233

app-misc/broot: add 1.46.5

Signed-off-by: Karl-Johan Karlsson <creideiki <AT> lysator.liu.se>
Part-of: https://github.com/gentoo/gentoo/pull/42344
Signed-off-by: Sam James <sam <AT> gentoo.org>

 app-misc/broot/Manifest            |  2 ++
 app-misc/broot/broot-1.46.5.ebuild | 64 ++++++++++++++++++++++++++++++++++++++
 2 files changed, 66 insertions(+)

diff --git a/app-misc/broot/Manifest b/app-misc/broot/Manifest
index a2fabf69d59c..aa08b97a99c7 100644
--- a/app-misc/broot/Manifest
+++ b/app-misc/broot/Manifest
@@ -5,4 +5,6 @@ DIST broot-1.45.1-crates.tar.xz 39917872 BLAKE2B 
4aeb1c9e0c3ea4fb737c54e8f2c7d07
 DIST broot-1.45.1.tar.gz 15294917 BLAKE2B 
a1ea6c9b84ddd163f2ce1e36246913b1d23e2007664449b2fd8a4d02344e3fa0b1e469588cc81e554f6633f62c550ea7c9b828e9c6f81422e94253c29df9b589
 SHA512 
f74f5b37b11ab1f74d1f17f9b9f9d243106527b134251fc1ebbf7e73fbfd1b2fcac990f2326357f8778e469ba47146efa2baa57711481bdada65c797dc08c377
 DIST broot-1.46.0-crates.tar.xz 39940716 BLAKE2B 
6386475dd222b2d8e55dad5f209e93e95298dc0dbc6762a217e58dae7fb22ad2695b5183682ed465c19ca42c05902ec5323619b8d2d5890675f4ab43d6ad35d6
 SHA512 
6b12f3132da6ec7be9ae207062ab103da2fbde45866e04a0bab6d6a775751d848adae3a279ba97f7cc876646657a0e52e1df9207283b5e4e17b28da2a320cc81
 DIST broot-1.46.0.tar.gz 15296432 BLAKE2B 
afcaadd0978dd7ed03f1f8daf7abd3df0cb996b960addd63f854495db94ebee658890d9cdfc187d59fbb959c89fce9c89c236a29543fe21e0d7da69fae9a8972
 SHA512 
0adc37d03ddeda845b3ddfc7b8bf9bd2da3b75b6bdaf73c9c20ef5487bc573b72447b6857056010ae67bdff6017a7afad2c99ef0b390d02e62ac6daed537d5a6
+DIST broot-1.46.5-crates.tar.xz 40169900 BLAKE2B 
eaf869ad2a0ba6f9017fab09ae856c2607fb5619da0240c86b1d5bb5de60d8f62b753af3a8977f10443978948116dc314947f28a5c89425e7f9856cc0f951cf4
 SHA512 
7b283fb9e5440568873b0cbedca15de3715d61287841e6bab03d6731f925dedd4f0be2a0699a77b90a66fe89bff503910d6089eb2cee53f86b3761688a0ec8be
+DIST broot-1.46.5.tar.gz 15296155 BLAKE2B 
4c4d5bf41ada96f260b604042eeab0099f8f094305b5d885dbbe973d772feb20c726d5582e93a30eab4b1a112c46bdea35f6dcd05a11f431d8898d22085e8803
 SHA512 
30b61a8e258d77dbe209d06fe2a4bf7b8766a65c7fc14ceb58806da0cff5863ed5f1a89c6ceafd2d8138e31b8944c51777e0cef264e07ac793fe2268ec90bc75
 DIST broot-v1.44.7-crates.tar.xz 39582336 BLAKE2B 
89ae02cd9c7e9c3b6c59b047f31937c47dfc7c4ac78142e5450c7344f31befbe6b06ebd0fd46862fd999ff5d7f0e44f05fb14b74124f8161b357911247efac6a
 SHA512 
4c38004278753a0acfb1335849fe933c1b1bf58edc90b8669d49f1d8fe9e972382575f8ba67fb6d4f936da0957c4208ca98a7adc09618fc55d5a1ec0fafd829b

diff --git a/app-misc/broot/broot-1.46.5.ebuild 
b/app-misc/broot/broot-1.46.5.ebuild
new file mode 100644
index 000000000000..724f7228de57
--- /dev/null
+++ b/app-misc/broot/broot-1.46.5.ebuild
@@ -0,0 +1,64 @@
+# Copyright 2021-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+RUST_MIN_VER="1.79.0"
+inherit cargo shell-completion
+
+DESCRIPTION="A new way to see and navigate directory trees"
+HOMEPAGE="https://dystroy.org/broot/ https://github.com/Canop/broot";
+SRC_URI="https://github.com/Canop/broot/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+SRC_URI+=" 
https://github.com/gentoo-crate-dist/broot/releases/download/v${PV}/${P}-crates.tar.xz";
+
+LICENSE="Apache-2.0"
+# Dependent crate licenses
+LICENSE+="
+       Apache-2.0 Apache-2.0-with-LLVM-exceptions BSD-2 BSD Boost-1.0
+       LGPL-3+ MIT MPL-2.0 UoI-NCSA Unicode-3.0 ZLIB
+"
+SLOT="0"
+KEYWORDS="~amd64"
+IUSE="X"
+
+DEPEND="
+       dev-db/sqlite:3
+       dev-libs/libgit2:=
+       sys-libs/zlib
+       X? ( x11-libs/libxcb:= )
+"
+RDEPEND="${DEPEND}"
+
+QA_FLAGS_IGNORED="usr/bin/${PN}"
+
+src_prepare() {
+       default
+
+       local mandate=$(date -r man/page +'%Y/%m/%d' || die)
+       sed -e "s|#version|${PV}|" \
+               -e "s|#date|${mandate}|" \
+               man/page > "${T}"/${PN}.1 || die
+}
+
+src_configure() {
+       export LIBSQLITE3_SYS_USE_PKG_CONFIG=1
+       export RUSTFLAGS="-Cstrip=none ${RUSTFLAGS}" #835400
+       local myfeatures=( $(usev X clipboard) trash )
+
+       cargo_src_configure --no-default-features
+}
+
+src_install() {
+       cargo_src_install
+
+       doman "${T}"/${PN}.1
+
+       local build_dir=( "$(cargo_target_dir)"/build/${PN}-*/out )
+       cd ${build_dir[0]} || die
+
+       newbashcomp ${PN}.bash ${PN}
+       newbashcomp br.bash br
+
+       dozshcomp _${PN} _br
+       dofishcomp ${PN}.fish br.fish
+}

Reply via email to